Skip to main content

Journey Notes

Tags: journeys, notes

Notes and annotations on member journeys

Resources​

Request and response models used by the endpoints on this page.

CreateJourneyNoteRequest​

FieldTypeRequiredDescription
contentsStringDefault: ``
heightNumber
posXNumber✓
posYNumber✓
widthNumber

Example:

{
"posX": 0.0,
"posY": 0.0,
"contents": ""
}

JourneyNoteResponse​

FieldTypeRequiredDescription
contentsString✓
createdAtString✓
creatorIdInteger
heightNumber✓
idInteger✓
journeyIdInteger✓
posXNumber✓
posYNumber✓
updatedAtString✓
uuidString✓
widthNumber✓

Example:

{
"id": 0,
"uuid": "string",
"journeyId": 0,
"posX": 0.0,
"posY": 0.0,
"width": 0.0,
"height": 0.0,
"contents": "string",
"createdAt": "string",
"updatedAt": "string"
}

UpdateJourneyNoteRequest​

FieldTypeRequiredDescription
contentsString
heightNumber
posXNumber
posYNumber
widthNumber

Example:

{}

Endpoints​

Notes​

GET /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes

Description:

List all notes for a specific journey.

Authorization: Requires journeys:read scope

Parameters:

  • journey_id (Integer)

Response: List of JourneyNoteResponse


Notes​

POST /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes

Description:

Create a new note for a journey.

Authorization: Requires journeys:write scope

Parameters:

Response: See JourneyNoteResponse


Delete Notes​

DELETE /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes/{note_id}

Description:

Delete a journey note.

Authorization: Requires journeys:admin scope

Parameters:

  • journey_id (Integer)
  • note_id (Integer)

Update Notes​

PUT /api/v2/w/{workspace_uuid}/journeys/{journey_id}/notes/{note_id}

Description:

Update a journey note.

Authorization: Requires journeys:write scope

Parameters:

Response: See JourneyNoteResponse